# Règles d'usage

## Titres

* Hormis le premier titre, toujours précéder un titre de niveau 1 par une barre horizontale.
* Insertion ``` ---  ```

## Gras

* Indique un bouton (ex : cliquer sur **Créer** puis Mettre à jour*).
* Indique une action souris (ex : faire un **Clic droit > Sélection**).
* Insertion ``` ** Texte ** ```

## Guillemets droits

* Guillemets de type " ".
* Code HTML : ```&quot;```
* Code clavier numérique : ```Alt+34```

* Mettre en exergue une fonction, une partie d'un logiciel, etc. (ex : cliquer sur l'onglet "Traitements" dans la section "Projet").
* Encadrer un nom de fichier ou dossier (ex : télécharger "doc.zip", enregistrer dans "C:\\Path").

## Guillemets typographiques

* Guillemets de type « »
* Code HTML : ```&laquo;``` et ```&raquo;```
* Code clavier numérique : ```Alt+174``` et ```Alt+175```

* Citation complète ou partielle (ex : sera affiché sur l'écran « Enregistrer ce traitement ? » ).

![](images/icones/idea.png) **Comment gérer les espaces ?** Les guillemets doubles sont toujours encadrés d'espaces, ces derniers étant insécables vers l'intérieur (espace insécable : ```Alt+0160```). Ex : « *Citation* » est correct, «*Citation*» est incorrect.

![](images/icones/idea.png) **Où placer la ponctuation finale ?**
Le point final est placé à l'intérieur des guillemets lorsque la citation forme une phrase complète débutant par une majuscule et introduite par deux points. Il est placé à l'extérieur lorsque la citation n'est qu'un segment de phrase fondu dans le texte. *(source : [La Ponctuation.com](http://www.la-ponctuation.com/guillemets.html))*

Exemples :
* Votre logiciel affiche : « *Souhaitez-vous sauvegarder ?* »
* L'application vous notifiera que « *la mise à jour est nécessaire* ».


## Formats de fichiers

* **Si on parle d'un format** : on utilise la dénomination originale des créateurs, il faut donc respecter la casse décidée par ces derniers (ex : un format ZIP, un format PDF, un fichier au format Shape dit aussi shapefile, un fond de carte OpenStreetMap ou OSM...).

* **Si on parle d'un fichier** : précéder d'un point et l'écrire en minuscules (un .zip, un fichier .pdf, un .shp, "doc.md"...). Indiquer qu'il s'agit d'un fichier est facultatif.


## Icônes

* Dossier images/icones, à la racine de chaque repository GitHub.
* Les icônes sont au format 20x20 pixels, RGB, 72 dpi, au format .png (avec transparence).

*  ![](./images/icones/idea.png) : utilisée pour mettre en exergue une astuce, une information utile, un élément à souligner. Insertion : ```![](./images/icones/idea.png)```
*  ![](./images/icones/warning.png) : utilisée pour souligner un risque, un élément important devant être appréhendé avec attention. Insertion : ```![](./images/icones/warning.png)```
